/* ##################################################### */
/* ---------------------- HEADER ----------------------- */
/* ##################################################### */
#header {
    width: 100%;
    background-color: $white;
    position: fixed;
    z-index: 1200;
    .header-inner { // Header Container
        display: flex;
        justify-content: space-between;
        height: 100px;
        width: 100%;
        .header-logo { // Logo Container
            align-self: center;
            position: relative;
            left: 5%;
        }
        .header-nav { // Navbar Container
            display: flex;
            width: 30%;
            margin-right: 3%;
            justify-content: flex-end;
    
            #nav-bar { // Navabr UL //
                display: flex;
                width: 100% ;
                .nav-item { // Navbar LI //
                    flex: 1 0 auto;
                    display: flex;
                    justify-content: center;
                    list-style-type: none;
                }  
                .nav-link { // Navbar  A //
                    display: flex;
                    justify-content: center;
                    flex: 1 0 auto;
                    
                    font-size: 1.2em;
                    font-weight: 500;
                    text-decoration: none;
                    color: inherit;
                    
                    padding: 35px 0 0 0;
                    
                    border-top-left-radius: 5px;
                    border-top-right-radius: 5px;

                    border: 5px solid transparent;

                    &:hover { // Navbar A:hover //
                        border-top: 5px solid $light-blue; 
                    }
                }
            } 
        }
    }
}


    //################################//
    //#======> MEDIA QUERIES <=======#//
    //################################//
@media only screen and (max-width: 1440px)  {
    #header {
        .header-inner { // Header Container
            .header-nav { // Navbar Container
                width: 36%;
                #nav-bar { // Navabr UL //
                }
            }
        }
    }
}
@media only screen and (max-width: 1200px)  {
    #header {
        .header-inner { // Header Container
            .header-nav { // Navbar Container
                width: 40%;
            }
        }
    }
}
@media only screen and (max-width: 992px ) {
    #header {
        .active { 
            color: $dark-blue;
            font-weight: 800;      
        }  
        .header-inner {
            .header-nav {
                #nav-bar {
                    .nav-item {
                        .nav-link {
                            border-top-left-radius: 0px;
                            border-top-right-radius: 0px;
                        }
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 768px)  {
    #header {
        .header-inner { // Header Container
            #hamburger-link { // Hamburger button
                position: absolute;
                top: 25px; 
                right: -5%;
                display: inline-block;
                width: 100px ;
                padding: 8px;
                float: left;
                margin: 0 30px;
                cursor: pointer;
                border-radius: 10px;
                transition: all .5s;
                &:hover { width: 97px ;    }
                &:active { .h-bar {background: red;}}
                .h-bar {
                    background: $dark-blue;
                    height: 5px;
                    width: 55px;
                    position: relative;
                        left: 11px;
                    transition: all 0.5s;
                    &:nth-child(2) {margin: 10px 0 10px 0;}
                }         
                // ============================================== //
                // HOVER Effect - Transition Hamburger Arrow Down //
                // ============================================== //
                &:hover div:nth-child(1) {
                    width:40px;
                    transform: translate(-5px, 15px) rotate(50deg);
                    transition: all 0.5s;
                }
                &:hover div:nth-child(2) {
                    opacity:0;
                    transition: all 0.5s;
                }
                &:hover div:nth-child(3) {
                    width:40px;
                    transform: translate(18px, -15px) rotate(-50deg);
                    transition: all 0.5s;
                }
            }
            .header-nav { // <Nav>
                display: block  ;
                width: 100%;
                position: absolute;
                top: -200px;

                #nav-bar {
                    flex-direction: column;
                    .nav-item { // LI //
                        // display: none;
                        .nav-link { // A //
                            text-align: center;
                            background-color: white;
                            height: 40px;
                            line-height: 40px;
                            padding: 0;
                        
                        }
                    }
                }
            } 
            .selected-hamburger {
                div{background: red !important;}
                // ============================================== //
                // Transition Red Cross - //
                // ============================================== //
                div:nth-child(1) {
                    width:40px;
                    transform: translate(8px, 15px) rotate(45deg);
                    transition: all 0.5s;
                }
                div:nth-child(2) {
                    opacity:0;
                    transition: all 0.5s;
                }
                div:nth-child(3) {
                    width:40px;
                    transform: translate(8px, -15px) rotate(-45deg);
                    transition: all 0.5s;
                }
                
                // ============================================== //
                // HOVER Effect - Transition Hamburger Arrow Up //
                // ============================================== //
                &:hover div:nth-child(1) {
                    transform: translate(18px, 15px) rotate(50deg) !important;
                }
                &:hover div:nth-child(3) {
                    transform: translate(-5px, -15px) rotate(-50deg) !important;
                }
                
            }   
        }
    }

    .navOpen {
        transform: translateY(200px); 
        overflow: visible;

        main {
            // overflow-y: scroll;
            height: 100%;
        }
    }
}
@media only screen and (max-width: 520px) {
    #header {
        .header-inner { 
            #hamburger-link {right: -8%;}    
        }
    }    
}
@media only screen and (max-width: 480px) {
    #header {
        .header-inner { 
            #hamburger-link {right: -10%;}    
        }
    }    
}
@media only screen and (max-width: 380px)  {
    #header {
        .header-inner { 
            #hamburger-link {right: -12% !important;}  

            .header-logo {
                #logo {
                    width: 75%;
                }
            }
        }
    }    
}
@media only screen and (max-width: 320px)  {
    #header {
        .header-inner { 
            #hamburger-link {right: -16% !important;}    
            .header-logo {
                #logo {
                    width: 65%;
                }
            }
        }
    }    
}
